Draft Line/sv

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Line and the translation is 0% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Next: Wire Draft Wire.svg Arrow-right.svg

Draft Line.svg {{{Name/sv}}}

Menyplacering
Draft → Line
Arbetsbänkar
Skiss
Standard genväg
L I
Introducerad i version
-
Se även
Draft Wire

Description

Beskrivning

Detta verktyg ber användaren om 2 punkter och ritar en linje mellan dem. Punkterna kan väljas med musen i 3d vyn eller genom att mata in koordinater med tangentbordet.

A Draft Line is in fact a Draft Wire with only two points.

Draft Line example.jpg

Draft Line example.jpg

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Bruk

  • Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SKIFT kommer att begränsa din nya punkt i relation till föregående punkt.
  • Skriv in siffror för att manuellt mata in en koordinat.
  • Nedtryckning av CTRL+Z eller klickning på "Undo" knappen kommer att ångra den sista punkten.
  • Om du trycker på ESC så avbryts funktionen.
  • Den skapade cirkeln kommer att ha nuvarande linjestil.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • To use polar coordinates enter a value for the Length and a value for the Angle, and press Enter after each.
  • Check the Angle checkbox to constrain the pointer to the specified angle.
  • Press H to change the focus from the X input box to the Length input box and back. Depending on the input box that receives the focus the Angle checkbox is checked or unchecked.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating lines.
  • The Draft UndoLine.svg Undo button has no purpose for this command.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates, lengths and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial focus of the task panel to the Length input box: Edit → Preferences... → Draft → General settings → Draft tools options → Set focus on Length instead of X coordinate. Note that you must move the pointer in the 3D view for the change to take effect.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Line instead of a Draft Line.

Properties

Egenskaper

  • DATAStart: Startpunkten
  • DATAEnd: Slutpunkten
  • DATASubdivisions: Delar linjen med det angivna antalet underavdelningar introduced in version 0.16

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Line use the make_line method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeLine method.

line = make_line(p1, p2)
line = make_line(LineSegment)
line = make_line(Shape)
  • Creates a Line object between points p1 and p2, each defined by its FreeCAD.Vector, with units in millimeters.
  • Creates a Line object from a Part.LineSegment.
  • Creates a Line object from the first vertex to the last vertex of the given Shape.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p3, p4)

doc.recompute()


FreeCAD.png
Next: Wire Draft Wire.svg Arrow-right.svg